package net.eduvax.sched;


public class Clock {
	private long _tickTime;
	private boolean _tickChanged;
	public Clock() {
		_tickTime=-1;	
	}
	public void waitTick() throws InterruptedException {
		synchronized(this) {
			do {
				_tickChanged=false;
				long delay=_tickTime-System.currentTimeMillis();
				if (delay>0) {
					wait(delay,0);
				}
				else {
					if (_tickTime<0) {
						wait();
					}
				}
			} while (_tickChanged);
		}
	}

	public void setNextTick(long tickTime) {
		synchronized(this) {
			_tickTime=tickTime;
			_tickChanged=true;
			notifyAll();
		}
	}

	public void cancelWait() {
		synchronized(this) {
			notifyAll();
		}
	}
}
