/*  $Id: ErrHandlerFactory.java 1188 2011-08-28 11:43:31Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2010 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.util;

/**
 * Error Handler Factory.
 * @version $Id: ErrHandlerFactory.java 1188 2011-08-28 11:43:31Z sdevaux $
 * @author Sebastien Devaux
 */
public interface ErrHandlerFactory {
    /**
     * Create new error handler.
     * @param mode error handling user interact mode (cf. M_* consts)
     */
    ErrorHandler createErrHandler(int mode);
    /** no interaction error handling mode */
    public final static int M_NONE=0;
    /** simple pause error handling mode */
    public final static int M_CONTINUE=1;
    /** yes/no error handling mode */
    public final static int M_IGNORE=2;
    /** yes/no/retry error handling mode */
    public final static int M_RETRY=3;
}
